Bug 1317676 - rb_libtorrent Python 3 binding is missing a library
Summary: rb_libtorrent Python 3 binding is missing a library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rb_libtorrent
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 20:31 UTC by Przemysław Palacz
Modified: 2016-04-03 16:56 UTC (History)
2 users (show)

Fixed In Version: rb_libtorrent-1.0.9-2.fc23 rb_libtorrent-1.0.9-2.fc24 rb_libtorrent-1.0.9-2.fc22 rb_libtorrent-1.0.9-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-21 01:51:07 UTC


Attachments (Terms of Use)
Python 3 binding patch (2.91 KB, patch)
2016-03-14 20:31 UTC, Przemysław Palacz
no flags Details | Diff
Patched spec (21.83 KB, text/x-matlab)
2016-03-14 20:32 UTC, Przemysław Palacz
no flags Details

Description Przemysław Palacz 2016-03-14 20:31:12 UTC
Created attachment 1136294 [details]
Python 3 binding patch

Description of problem:
The Python 3 libtorrent component is not only missing in the package but it's actually not being built at all.

Unfortunately there is no easy way to build for two Python versions at the same time, so a while ago I've come up with an easy fix that I was suppose to submit and then forgot all about it :/

If the patch is good enough for Fedora feel free to use it ;)

Comment 1 Przemysław Palacz 2016-03-14 20:32:00 UTC
Created attachment 1136295 [details]
Patched spec

Comment 2 Fedora Update System 2016-03-18 10:11:38 UTC
qbittorrent-3.3.3-11.el7 rb_libtorrent-1.0.9-2.el7 qtsingleapplication-2.6.1-28.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5a49ee14d2

Comment 3 Fedora Update System 2016-03-18 10:11:52 UTC
qbittorrent-3.3.3-11.fc23 rb_libtorrent-1.0.9-2.fc23 qtsingleapplication-2.6.1-28.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-98c3d37964

Comment 4 Fedora Update System 2016-03-18 10:12:03 UTC
qbittorrent-3.3.3-11.fc24 rb_libtorrent-1.0.9-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0a8b8333b

Comment 5 Fedora Update System 2016-03-18 10:12:14 UTC
qbittorrent-3.3.3-11.fc22 rb_libtorrent-1.0.9-2.fc22 qtsingleapplication-2.6.1-28.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a455be1c2d

Comment 6 Fedora Update System 2016-03-18 14:55:29 UTC
qbittorrent-3.3.3-11.fc24, rb_libtorrent-1.0.9-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0a8b8333b

Comment 7 Fedora Update System 2016-03-18 22:51:29 UTC
qbittorrent-3.3.3-11.el7, qtsingleapplication-2.6.1-28.el7, rb_libtorrent-1.0.9-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5a49ee14d2

Comment 8 Fedora Update System 2016-03-18 23:54:07 UTC
qbittorrent-3.3.3-11.fc22, qtsingleapplication-2.6.1-28.fc22, rb_libtorrent-1.0.9-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a455be1c2d

Comment 9 Fedora Update System 2016-03-19 01:23:37 UTC
qbittorrent-3.3.3-11.fc23, qtsingleapplication-2.6.1-28.fc23, rb_libtorrent-1.0.9-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98c3d37964

Comment 10 Fedora Update System 2016-03-21 01:50:58 UTC
qbittorrent-3.3.3-11.fc23, qtsingleapplication-2.6.1-28.fc23, rb_libtorrent-1.0.9-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-03-26 17:59:07 UTC
qbittorrent-3.3.3-11.fc24, rb_libtorrent-1.0.9-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-03-27 20:48:08 UTC
qbittorrent-3.3.3-11.fc22, qtsingleapplication-2.6.1-28.fc22, rb_libtorrent-1.0.9-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-03 16:55:56 UTC
qbittorrent-3.3.3-11.el7, qtsingleapplication-2.6.1-28.el7, rb_libtorrent-1.0.9-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.